# Using IBM Fast!UT IL

This chapter provides detailed configuration information for advanced users who want to customize the configuration of the following adapters:

· IBM fibre-channel PCI adapter (FRU 01K7354)

· IBM FAStT host adapter (FRU 09N7292)

· IBM FAStT FC2-133 (FRU 24P0962) and FC2-133 Dual Port (FRU 38P9099) host bus adapters

You can configure these adapters and the connected fibre channel devices using the Fast!UTIL utility.

For the latest information about these adapters, see the readme files for the respective adapters and the IBM TotalStorage DS300 and DS400 Hardware Maintenance Manual.

## Starting Fast!UTIL

To access Fast!UTIL, press Ctrl+Q during the adapter BIOS initialization (it might take a few seconds for the Fast!UTIL menu to display). If you have more than one adapter, Fast!UTIL prompts you to select the adapter you want to configure. After changing the settings, Fast!UTIL restarts your system to load the new parameters.

Important: If the configuration settings are incorrect, your adapter will not function properly. Do not modify the default configuration settings unless you are instructed to do so by either an IBM support representative or the installation instructions. The default settings are for a typical Microsoft Windows installation. See the adapter driver readme file for the appropriate operating system for required NVRAM setting modifications for that operating system.

## Fast!UTIL options

This section describes the Fast!UTIL options. The first option on the Fast!UTIL Options menu is Configuration Settings. This option enables you to configure the fibre-channel devices and the adapter to which they are attached.

Note: If your version of Fast!UTIL has settings that are not discussed in this section, then you are working with down-level BIOS or non-supported BIOS. Update your BIOS version.

### Host adapter settings

You can use this option to modify host adapter settings. The current default settings for the host adapters are described in this section.

Note: All settings for the IBM fibre-channel PCI adapter (FRU 01K7354) are accessed from the Host Adapter Settings menu option (see Table 1). The FAStT host adapter (FRU 09N7292) and the FAStT FC2-133 host bus adapters (FRU 24P0962, 38P9099) offer additional settings available from the Advanced Adapter Settings menu option (see Table 2 and Table 3). Any settings for the fibre-channel PCI adapter (FRU 01K7354) not described in this section are described in Advanced adapter settings.

Table 1. IBM fibre-channel PCI adapter (FRU 01K7354) host adapter settings

Setting | Options | Default
Host adapter BIOS | Enabled or Disabled | Disabled
Enable LUNs | Yes or No | Yes
Execution throttle | 1 - 256 | 256
Drivers load RISC code | Enabled or Disabled | Enabled
Frame size | 512, 1024, 2048 | 2048
IOCB allocation | 1-512 buffers | 256 buffers
Loop reset delay | 0-15 seconds | 8 seconds
Extended error logging | Enabled or Disabled | Disabled
Port down retry count | 0-255 | 30

Table 2. FAStT host adapter (FRU 09N7292) host adapter settings

Setting | Options | Default
Host adapter BIOS | Enabled or Disabled | Disabled
Frame size | 512, 1024, 2048 | 2048
Loop reset delay | 0-15 seconds | 5 seconds
Adapter hard loop ID | Enabled or Disabled | Enabled
Hard loop ID | 0-125 | 125

Table 3. FAStT FC2-133 host bus adapters (FRU 24P0962, 38P9099) host adapter settings

Setting | Options | Default
Host adapter BIOS | Enabled or Disabled | Disabled
Frame size | 512, 1024, 2048 | 2048
Loop reset delay | 0-60 seconds | 5 seconds
Adapter hard loop ID | Enabled or Disabled | Enabled
Hard loop ID | 0-125 | 125
Spin up delay | Enabled or Disabled | Disabled

Host adapter BIOS

When this option is set to Disabled, the ROM BIOS code on the adapter is disabled, freeing space in upper memory. This setting must be enabled if you are starting from a fibre channel hard disk that is attached to the adapter. The default is Disabled.

Frame size

This setting specifies the maximum frame length supported by the adapter. The default size is 2048. If you are using F-Port (point-to-point) connections, the default is best for maximum performance.

Loop reset delay

After resetting the loops, the firmware does not initiate any loop activity for the number of seconds specified in this setting. The default is 5 seconds.

Adapter hard loop ID

This setting forces the adapter to use the ID specified in the Hard loop ID setting. The default is Enabled. (For FAStT host adapter [FRU 09N7292)] and FAStT FC2-133 host bus adapters [FRU 24P0962, 38P9099] only.)

Hard loop ID

When the adapter hard loop ID is set to Enabled, the adapter uses the ID specified in this setting. The default ID is 125.

Spin up delay

When this setting is Enabled, the BIOS code waits up to 5 minutes to find the first drive. The default is Disabled.

Note: Adapter settings and default values might vary, based on the version of BIOS code installed for the adapter.

### Selectable boot settings

When you set this option to Enabled, you can select the node name from which you want to start up (boot). When this option is set to Enabled, the node will start from the selected fibre channel hard disk, ignoring any IDE hard disks attached to your server. When this option is set to Disabled, the Boot ID and Boot LUN parameters have no effect.

The BIOS code in some new systems supports selectable boot, which supersedes the Fast!UTIL selectable boot setting. To start from a fibre channel hard disk attached to the adapter, select the attached fibre channel hard disk from the system BIOS menu.

Note: This option applies only to disk devices; it does not apply to CDs, tape drives, and other nondisk devices.

### Restore default settings

You can use this option to restore the adapter default settings.

Note: The default NVRAM settings are the adapter settings that were saved the last time an NVRAM update operation was run from the BIOS Update Utility program (option U or command line /U switch). If the BIOS Update Utility program has not been used to update the default NVRAM settings since the adapter was installed, the factory settings are loaded.

### Raw NVRAM data

This option displays the adapter nonvolatile random access memory (NVRAM) contents in hexadecimal format. This is a troubleshooting tool; you cannot modify the data.

### Advanced adapter settings

You can use this option to modify the advanced adapter settings. The current default settings for the adapter are described in this section.

Note: The Advanced Adapter Settings menu option is available only for the FAStT host adapter (FRU 09N7292) (see Table 4) and the FAStT FC2-133 host bus adapters (FRU 24P0962, 38P9099) (see Table 5). All settings for the IBM fibre-channel PCI adapter (FRU 01K7354) are accessed from the Host Adapter Settings menu option.

Table 4. FAStT host adapter (FRU 09N7292) advanced adapter settings

Setting | Options | Default
Execution throttle | 1-256 | 256
Fast command posting | Enabled or Disabled | Enabled
>4GByte addressing | Enabled or Disabled | Disabled
LUNs per target | 0, 8, 16, 32, 64, 128, 256 | 0
Enable LIP reset | Yes or No | No
Enable LIP full login | Yes or No | Yes
Enable target reset | Yes or No | Yes
Login retry count | 0-255 | 30
Port down retry count | 0-255 | 30
Drivers load RISC code | Enabled or Disabled | Enabled
Enable database updates | Yes or No | No
Disable database load | Yes or No | No
IOCB allocation | 1-512 buffers | 256 buffers
Extended error logging | Enabled or Disabled | Disabled

Table 5. FAStT FC2-133 host bus adapters (FRU 24P0962, 38P9099) advanced adapter settings

Setting | Options | Default
Execution throttle | 1-256 | 256
>4GByte addressing | Enabled or Disabled | Disabled
LUNs per target | 0, 8, 16, 32, 64, 128, 256 | 0
Enable LIP reset | Yes or No | No
Enable LIP full login | Yes or No | Yes
Enable target reset | Yes or No | Yes
Login retry count | 0-255 | 30
Port down retry count | 0-255 | 30
IOCB allocation | 1-512 buffers | 256 buffers
Extended error logging | Enabled or Disabled | Disabled

Execution throttle

This setting specifies the maximum number of commands running on any one port. When a port reaches its execution throttle, Fast!UTIL does not run any new commands until the current command is completed. The valid options for this setting are 1 through 256. The default (optimum) is 256.

Fast command posting

This setting decreases command execution time by minimizing the number of interrupts. The default is Enabled for the FAStT host adapter (FRU 09N7292).

>4GByte addressing

Enable this option when the system has more than 4 GB of memory available. The default is Disabled.

LUNs per target (for IBM fibre-channel PCI adapter [FRU 01K7354])

This setting specifies the number of LUNs per target. Multiple logical unit number (LUN) support is typically for redundant array of independent disks (RAID) enclosures that use LUNs to map drives. The default is 8. For Netware, set the number of LUNs to 32.

LUNs per target (for FAStT host adapter [FRU 09N7292] and FAStT FC2-133 host bus adapters [FRU 24P0962, 38P9099])

This setting specifies the number of LUNs per target. Multiple logical unit number (LUN) support is typically for redundant array of independent disks (RAID) enclosures that use LUNs to map drives. The default is 0. For Netware, set the number of LUNs to 32.

Enable LIP reset

This setting determines the type of loop initialization process (LIP) reset that is used when the operating system initiates a bus reset routine. When this option is set to Yes, the device driver initiates a global LIP reset to clear the target device reservations. When this option is set to No, the device driver initiates a global LIP reset with full login. The default is No.

Enable LIP full logon

This setting instructs the ISP chip to log into all ports after any LIP. The default is Yes.

Enable target reset

This setting enables the device drivers to issue a Target Reset command to all devices on the loop when a SCSI Bus Reset command is issued. The default is Yes.

Login retry count

This setting specifies the number of times the software tries to log in to a device. The default is 30 retries.

Port down retry count

This setting specifies the number of times the software retries a command to a port that is returning port-down status. The default is 30 retries.

Drivers load RISC code:

When this option is set to Enabled, the adapter uses the RISC firmware that is embedded in the software device driver. When this option is set to Disabled, the software device driver loads the RISC firmware found in the adapter BIOS code. The default is Enabled.

Note: To load the embedded device driver software, the device driver being loaded must support this setting. If the device driver does not support this setting, the result is the same as if this option is set to Disabled, regardless of the setting. Leaving this option enabled ensures a certified combination of software device driver and RISC firmware.

Enable database updates

When this option is set to Enabled, the software can save the loop configuration information in flash memory as the system powers down. The default is No.

Disable database load

When this option is set to Enabled, the device database is read from the Registry during driver initialization. When this option is set to Disabled, the device database is created dynamically during device driver initialization. The default is No.

Note: This option usually applies to the Windows NT and Windows 2000 operating system environments.

IOCB allocation

This option specifies the maximum number of buffers from the firmware buffer pool that are allocated to any one port. The default setting is 256 buffers.

Extended error logging

This option provides additional error and debugging information to the operating system. When this option is set to Enabled, events are logged into the Windows NT Event Viewer or Windows 2000 Event Viewer (depending on the environment you are in). The default is Disabled.

### Extended firmware settings

You can use this option to modify the extended firmware settings. The current default settings for the host adapter are listed in Table 6 and are described in this section.

Note: The Extended Firmware Settings menu option is available only for the FAStT host adapter (FRU 09N7292) and the FAStT FC2-133 host bus adapters (FRU 24P0962, 38P9099). Extended firmware settings are not available for the IBM fibre-channel PCI adapter (FRU 01K7354).

Table 6. Extended firmware settings for FAStT host adapter (FRU 09N7292) and FAStT FC2-133 host bus adapters (FRU 24P0962, 38P9099)

Setting | Options | Default
RIO operation mode | 0, 5 | 0
Connection Options [for FAStT host adapter (FRU 09N7292)] | 0, 1, 2, 3 | 3
Connection Options [for FAStT FC2-133 host bus adapters (FRU 24P0962, 38P9099)] | 0, 1, 2 | 2
Fibre channel tape support | Enabled or Disabled | Disabled
Interrupt delay timer | 0-255 | 0
Data rate [for FAStT FC2-133 host bus adapters (FRU 24P0962, 38P9099) only] | 0, 1, 2 | 2

RIO operation mode

This setting specifies the reduced interrupt operation (RIO) modes, if supported by the software device driver. RIO modes enable posting multiple command completions in a single interrupt (see Table 7). The default is 0.

Table 7. RIO operation modes for FAStT host adapter (FRU 09N7292) and FAStT FC2-133 host bus adapters (FRU 24P0962, 38P9099)

Option | Operation mode
0 | No multiple responses
5 | Multiple responses with minimal interrupts

#### Connection options

This setting defines the type of connection (loop or point-to-point) or connection preference (see Table 8). The default is 3 for the FAStT host adapter (FRU 09N7292) or 2 for the FAStT FC2-133 host bus adapters (FRU 24P0962, 38P9099).

Table 8. Connection options for FAStT host adapter (FRU 09N7292) and FAStT FC2-133 host bus adapters (FRU 24P0962, 38P9099)

Option | Type of connection
0 | Loop only
1 | Point-to-point only
2 | Loop preferred; otherwise, point-to-point
3 (for FAStT host adapter [FRU 09N7292] only) | Point-to-point; otherwise, loop

Fibre channel tape support

This setting is reserved for fibre channel tape support. The default is Disabled.

Interrupt delay timer

This setting contains the value (in 100-microsecond increments) used by a timer to set the wait time between accessing (DMA) a set of handles and generating an interrupt. The default is 0.

Data rate (for FAStT FC2-133 host bus adapters [FRU 24P0962, 38P9099] only):

This setting determines the data rate (see Table 9). When this field is set to 2, the FAStT FC2-133 host bus adapters determines what rate your system can accommodate and sets the rate accordingly. The default is 2.

Table 9. Data rate options for FAStT FC2-133 host bus adapters (FRU 24P0962, 38P9099)

Option | Data Rate
0 | 1 Gbps
1 | 2 Gbps
2 | Auto select

### Scan fibre channel devices

Use this option to scan the fibre channel loop and list all the connected devices by loop ID. Information about each device is listed, for example, vendor name, product name, and revision. This information is useful when you are configuring your adapter and attached devices.

### Fibre channel disk utility

Attention: Performing a low-level format removes all data on the disk.

Use this option to scan the fibre channel loop bus and list all the connected devices by loop ID. You can select a disk device and perform a low-level format or verify the disk media.

### Loopback data test

Use this option to verify the adapter basic transmit and receive functions. A fibre channel loop back connector option must be installed into the optical interface connector on the adapter before starting the test.

### Select host adapter

Use this option to select, configure, or view a specific adapter if you have multiple adapters in your system.

### ExitFast!UTIL

After you complete the configuration, use the ExitFast!UTIL option to exit the menu and restart the system.